[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: e2fsprogs and ext3



On Mon, Jul 30, 2001 at 03:47:47PM -0700, Shawn Rappaport/PHX/OTI wrote:
> One of my servers appears to have some filesystem corruption. I'm running 
> Red Hat 6.2 with kernel 2.2.19pre6 and ext3 0.5e. That server currently 
> has  e2fsprogs-1.20-WIP-0117 installed. Is it OK to upgrade to the latest 
> e2fsprogs (i.e.: 1.22) prior to running the e2fsck on the filesystem?

I wouldn't build e2fsprogs-1.22 on the corrupted filesystem... (in
general it's not safe to write on a corrupted filesystem).  Build the
binary somewhere else, and then install it on some other partition
(that's not corrupted), amd then run the binary from there.

If you can't do that, you're probably better off running the 1.20-WIP
snapshot instead (although there are a number of known bugs in the
1.20-WIP release).

You should also upgrade to the latest ext3 release (0.7a for the 2.2
kernel, or 0.9.5 for the 2.4 kernel) ASAP.  There are a number of bug
fixes since 0.5e that might have avoided the filesystem corruption.  


						- Ted





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]